VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult:

## Avaliable Methods
public method | get_resource_id ()
public method | set_error ()
public method | set_resource_id ()
public method | get_succeeded ()
public method | get_error ()
public method | new ()
public method | set_succeeded ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult` class defines the result of the `deploy` method . See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult::get_error | ( |  | ) |

Gets the value of 'error' property.

Return values

  error | - The current value of the field. Errors, warnings, and informational messages produced by the `deploy` method . Optional#

Code:
click to view
# Number of lines of code in get_error: 4
sub get_error {
my ($self, %args) = @_;
return $self->{'error'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult::get_resource_id | ( |  | ) |

Gets the value of 'resource_id' property.

Return values

  resource_id | - The current value of the field. Identifier of the deployed resource entity. Optional#

Code:
click to view
# Number of lines of code in get_resource_id: 4
sub get_resource_id {
my ($self, %args) = @_;
return $self->{'resource_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult::get_succeeded | ( |  | ) |

Gets the value of 'succeeded' property.

Return values

  succeeded | - The current value of the field. Whether the `deploy` method completed successfully. boolean#

Code:
click to view
# Number of lines of code in get_succeeded: 4
sub get_succeeded {
my ($self, %args) = @_;
return $self->{'succeeded'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{succeeded} = $args{'succeeded'};
$self->{resource_id} = $args{'resource_id'};
$self->{error} = $args{'error'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.library_item.deployment_result');
$self->set_binding_field('key' => 'succeeded', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'resource_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'LibraryItem::DeployableIdentity')));
$self->set_binding_field('key' => 'error', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'LibraryItem::ResultInfo')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult::set_error | ( |  | ) |

Sets the given value for 'error' property.

Parameters

  error | - New value for the field. Errors, warnings, and informational messages produced by the `deploy` method .

Code:
click to view
# Number of lines of code in set_error: 5
sub set_error {
my ($self, %args) = @_;
$self->{'error'} = $args{'error'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult::set_resource_id | ( |  | ) |

Sets the given value for 'resource_id' property.

Parameters

  resource_id | - New value for the field. Identifier of the deployed resource entity.

Code:
click to view
# Number of lines of code in set_resource_id: 5
sub set_resource_id {
my ($self, %args) = @_;
$self->{'resource_id'} = $args{'resource_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::DeploymentResult::set_succeeded | ( |  | ) |

Sets the given value for 'succeeded' property.

Parameters

  succeeded | - New value for the field. Whether the `deploy` method completed successfully.

Code:
click to view
# Number of lines of code in set_succeeded: 5
sub set_succeeded {
my ($self, %args) = @_;
$self->{'succeeded'} = $args{'succeeded'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/LibraryItem.pm